#
# spec file for package pinpoint
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pinpoint
Version:        0.1.8
Release:        1.32
Summary:        Simple Presentation Tool for Excellent Presentations
License:        LGPL-2.1+
Group:          Productivity/Publishing/Presentation
Url:            http://live.gnome.org/Pinpoint
Source:         http://download.gnome.org/sources/pinpoint/0.1/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(cairo-pdf)
BuildRequires:  pkgconfig(clutter-1.0) >= 1.23.7
BuildRequires:  pkgconfig(clutter-gst-3.0) >= 3.0.0
BuildRequires:  pkgconfig(clutter-gtk-1.0) >= 1.6
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(pangocairo)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Pinpoint a simple presentation tool that hopes to avoid audience death
by bullet point and instead encourage presentations containing beautiful
images and small amounts of concise text in slides.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/pinpoint
%{_datadir}/pinpoint/

%changelog
* Tue Jan 12 2016 dimstar@opensuse.org
- Update to version 0.1.8:
  + Make pinpoint work on Wayland (includes depending on Gtk+ to
    have window decorations).
  + Remove more deprecation warnings (still so many left).
- Add pkgconfig(clutter-gtk-1.0) BuildRequires: new dependency.
* Tue Jul 28 2015 dimstar@opensuse.org
- Update to version 0.1.6:
  + --ignore-comments to generate slides without comments.
  + Switched to a more recent version of GStreamer.
  + Switched to a more recent version of Clutter-Gst.
  + Background alignment.
  + A LOT of fixes.
- Add pkgconfig(clutter-gst-3.0) BuildRequires, new, explicitly
  verified dependency.
- Drop libtool BuildRequires and call to autogen.sh: the tarball
  is properly bootstrapped.
- Drop 0001-Fix-overwriting-of-slides-in-speaker-screen.patch and
  0001-Honor-stage-color-in-PDF-output.patch: No reference why
  they were added, no tag line.
* Fri Oct 12 2012 kkaempf@suse.com
- Version 0.1.5 (git 5118c870cd0b):
  + Features
  - Map left/right mouse buttons to next/prev slide
  - blank screen when B is pressed
  - First slide (home) when H is pressed
  - Identify window titles
  + Bugfixes
  - Making the speaker's view handles properly relative paths.
  - video: add support for .gif video extension
  - Avoid crash when speaker window is closed
- Added 0001-Fix-overwriting-of-slides-in-speaker-screen.patch and
  0001-Honor-stage-color-in-PDF-output.patch.
- Removed pinpoint-racy-video-frame.patch: fixed upstream.
- Drop pkgconfig(clutter-gst-1.0) BuildRequires: There is no
  support for clutter-gst-1.0 in Factory / 12.3.
- Add libtool BuildRequires and call to autogen.sh, as the tarball
  is a non-bootstrapped git archive.
* Mon Jan  2 2012 glin@suse.com
- Add Add pinpoint-racy-video-frame.patch to fix the segfault when
  rendering the video thumbnail on the speaker screen
  (bnc#739092, bgo#665756)
* Tue Nov 15 2011 dimstar@opensuse.org
- Update to version 0.1.4:
  + Start of a speaker screen, support for speaker notes.
  + A camera/v4l based slide background.
  + Fully stop videos when transitioning between them.
  + Made "fade" be the default transition.
  + Inhibit screensaver when running fullscreen.
- Drop pinpoint-speakerview.patch: fixed upstream.
* Sun Sep 11 2011 gregkh@suse.de
- Add pinpoint-speakerview.patch: brings the code to latest git.
  This adds the speaker view feature (and various bug fixes).
* Fri Aug 12 2011 dimstar@opensuse.org
- Change License tag to LGPL-2.1+
- Better summaries and descriptions
- Also package AUTHORS.
* Mon May 23 2011 awafaa@opensuse.org
- Update to version 0.1.2:
  + New background scaling type 'stretch'
  + Handle relative paths fully
  + Added '.mkv' to list of video extensions
  + Only treat # at start of line as comments
  + Improve documentation
  + Distribute ClutterScript based transitions in tarball
* Fri May 20 2011 awafaa@opensuse.org
- Initial package, version 0.1.0:
  + Initial feature set:
  - Positioning of text
  - image backgrounds
  - video backgrounds
  - transitions
  - pdf export
  - running of commands
  - editing of commands
  - live updating when source changes
